diff options
author | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:13:28 +0900 |
---|---|---|
committer | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:24:15 +0900 |
commit | d66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch) | |
tree | c4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/xgettext-c-7 | |
parent | 0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff) | |
download | external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2 |
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since
'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/xgettext-c-7')
-rw-r--r--[-rwxr-xr-x] | gettext-tools/tests/xgettext-c-7 | 14 |
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-c-7 b/gettext-tools/tests/xgettext-c-7 index 2dcec60..248bfa9 100755..100644 --- a/gettext-tools/tests/xgettext-c-7 +++ b/gettext-tools/tests/xgettext-c-7 @@ -3,10 +3,6 @@ # Test C support: comments. -tmpfiles="" -trap 'rm -fr $tmpfiles' 1 2 3 15 - -tmpfiles="$tmpfiles xg-c-7.c" cat <<EOF > xg-c-7.c int main() @@ -41,14 +37,10 @@ main() } EOF -tmpfiles="$tmpfiles xg-c-7.tmp.po xg-c-7.po" : ${XGETTEXT=xgettext} -${XGETTEXT} --omit-header --no-location -c --c++ -d xg-c-7.tmp xg-c-7.c -test $? = 0 || { rm -fr $tmpfiles; exit 1; } -LC_ALL=C tr -d '\r' < xg-c-7.tmp.po > xg-c-7.po -test $? = 0 || { rm -fr $tmpfiles; exit 1; } +${XGETTEXT} --omit-header --no-location -c --c++ -d xg-c-7.tmp xg-c-7.c || exit 1 +LC_ALL=C tr -d '\r' < xg-c-7.tmp.po > xg-c-7.po || exit 1 -tmpfiles="$tmpfiles xg-c-7.ok" cat <<EOF > xg-c-7.ok #. This is a comment which immediately before a keyword. msgid "1" @@ -85,8 +77,6 @@ EOF ${DIFF} xg-c-7.ok xg-c-7.po result=$? -rm -fr $tmpfiles - exit $result Local Variables: |